import * as sharp from 'sharp';

async function resizeImage(imagePath: string, targetWidth: number, targetHeight: number): Promise<object> {
  const buffer = await sharp(imagePath).resize(targetWidth, targetHeight).toBuffer();
  return {
    imagePath: imagePath,
    b64: 'data:image/jpeg;base64,' + buffer.toString('base64')
  }; 
}

exports.resizeImage = resizeImage